org.apache.cassandra.dht

## Class Splitter

- java.lang.Object
- - org.apache.cassandra.dht.Splitter

-     public abstract class Splitter
      extends java.lang.Object

  Partition splitter.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Splitter(IPartitioner partitioner)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Token>` | `splitOwnedRanges(int parts, java.util.List<Range<Token>> localRanges, boolean dontSplitRanges)`
    `protected abstract Token` | `tokenForValue(java.math.BigInteger value)`
    `protected abstract java.math.BigInteger` | `valueForToken(Token token)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Splitter

          protected Splitter(IPartitioner partitioner)

  - ### Method Detail

    - #### tokenForValue

          protected abstract Token tokenForValue(java.math.BigInteger value)

    - #### valueForToken

          protected abstract java.math.BigInteger valueForToken(Token token)

    - #### splitOwnedRanges

          public java.util.List<Token> splitOwnedRanges(int parts,
                                                        java.util.List<Range<Token>> localRanges,
                                                        boolean dontSplitRanges)

Copyright © 2018 The Apache Software Foundation